package web


import (
	"log/slog"
	"net/http"
)

func AboutWebHandler(w http.ResponseWriter, r *http.Request) {
	component := About()
	err := component.Render(r.Context(), w)
	if err != nil {
		slog.Error("Error rendering in AboutWebHandler", "error", err)
		http.Error(w, err.Error(), http.StatusBadRequest)
	}
}
